## org.apache.commons.math.exception
Class NullArgumentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.math.exception.MathIllegalArgumentException
                          org.apache.commons.math.exception.NullArgumentException

All Implemented Interfaces:
  Serializable, MathThrowable

    public class NullArgumentException

extends MathIllegalArgumentException

All conditions checks that fail due to a `null` argument must throw this exception. This class is meant to signal a precondition violation ("null is an illegal argument") and so does not extend the standard `NullPointerException`. Proagation of `NullPointerException` from within Commons-Math is construed to be a bug.

Since:
  2.2
Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Serializable version Id.

Constructor Summary
`NullArgumentException()` Default constructor.
`NullArgumentException(Localizable specific)`

Method Summary

Methods inherited from class org.apache.commons.math.exception.MathIllegalArgumentException
`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getSpecificPattern`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version Id.

  See Also:
    Constant Field Values

Constructor Detail

### NullArgumentException

    public NullArgumentException()

  Default constructor.

### NullArgumentException

    public NullArgumentException(Localizable specific)

Parameters:
  `specific` - Message pattern providing the specific context of the error.

Copyright (c) 2003-2013 Apache Software Foundation